/*
====================================
 Theme Name:   BerdikariFrameWork
 Theme URI:    https://berdikaristudio.com
 Description:  Berdikari Framework
 Author:       Berdikari Studio
 Author URI:   https://berdikaristudio.com
 Template:     generatepress
 Version:      0.24

====================================
*/


/* =========================
   TYPOGRAPHY
========================= */

/* Font Family Utilities */
.ff-body {
    font-family: var(--gp-font--body);
}

.ff-heading {
    font-family: var(--gp-font--headings);
}

/* Heading and utility class font assignment */
h1, h2, h3, h4, h5, h6,
[class^="fs-"] {
    font-family: var(--gp-font--headings);
}

.fs-p {
    font-family: var(--gp-font--body);
}


/* =========================
   FLUID TYPOGRAPHY SCALE
   Source: https://theadminbar.com/simple-responsive-font-size-calculator/
========================= */

h1,
.fs-h1 {
    font-size: clamp(2.2rem, 2rem + 0.7vw, 3rem);
}

h2,
.fs-h2 {
    font-size: clamp(1.9rem, 1.7rem + 0.6vw, 2.4rem);
}

/* GLOBAL h3 masih dipakai di tempat lain */
h3,
.fs-h3 {
    font-size: clamp(1.6rem, 1.4rem + 0.5vw, 2rem);
}

h4,
.fs-h4 {
    font-size: clamp(1.4rem, 1.3rem + 0.4vw, 1.8rem);
}

h5,
.fs-h5 {
    font-size: clamp(1.2rem, 1.1rem + 0.3vw, 1.5rem);
}

h6,
.fs-h6 {
    font-size: clamp(1.1rem, 1.05rem + 0.2vw, 1.3rem);
}

p,
.fs-p {
    font-size: clamp(0.95rem, 0.9rem + 0.2vw, 1.1rem);
}
